TooN: Operator< T > Struct Template Reference

TooN 2.0.0-beta8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Operator< T > Struct Template Reference

List of all members.

## Public Member Functions
Members in the category ``sized operators''
int | size () const
int | num_rows () const
int | num_cols () const
Members used by Vector
template<int Size, class Precision , class Base >
void | eval (Vector< Size, Precision, Base > &v) const
template<int Size, typename P1 , typename B1 >
void | plusequals (Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
void | minusequals (Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
Operator< T > | add (const Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
Operator< T > | rsubtract (const Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
Operator< T > | lsubtract (const Vector< Size, P1, B1 > &v) const
Members used by Matrix
This function must be present for construction and assignment of matrices to work.
template<int R, int C, class P , class B >
void | eval (Matrix< R, C, P, B > &m) const
template<int Rows, int Cols, typename P1 , typename B1 >
Operator< T > | add (const Matrix< Rows, Cols, P1, B1 > &m) const
template<int Rows, int Cols, typename P1 , typename B1 >
Operator< T > | rsubtract (const Matrix< Rows, Cols, P1, B1 > &m) const
template<int Rows, int Cols, typename P1 , typename B1 >
Operator< T > | lsubtract (const Matrix< Rows, Cols, P1, B1 > &m) const
template<int Rows, int Cols, typename P1 , typename B1 >
void | plusequals (Matrix< Rows, Cols, P1, B1 > &m) const
template<int Rows, int Cols, typename P1 , typename B1 >
void | minusequals (Matrix< Rows, Cols, P1, B1 > &m) const
Members in the category ``sizeable oberators''
Operator< T > | operator() (int size) const
Operator< T > | operator() (int num_rows, int num_cols) const
## Members in the category ``scalable operators''
typedef T | Precision
template<class Pout , class Pmult >
Operator< Internal::Identity < Pout > > | scale_me (const Pmult &m) const

### template<typename T>
struct TooN::Operator< T >

## Member Function Documentation

void eval | ( | Vector< Size, Precision, Base > & | v | ) | const

This function must be present for construction and assignment of vectors to work.

Referenced by DiagonalMatrix< Size, Precision, Base >::DiagonalMatrix(), Matrix< Size, Size, Precision >::Matrix(), Vector< Vertices, Precision >::operator=(), and Vector< Vertices, Precision >::Vector().

Operator<T> operator() | ( | int | size | ) | const

Create an operator that knows its size.

Suitable for vectors and square matrices.